MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032353Community[OCCT] OCCT:Modeling Datapublic2021-05-10 21:242021-05-22 13:54
Reporterjensgw 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032353: Modeling Data - Missing definition of ProjLib_ProjectOnSurface::Load()
DescriptionThe folowing constructor is declared in the header but never defined in the cpp:

Standard_EXPORT void Load (const Handle(Adaptor3d_HSurface)& S);
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0100862)
jensgw (reporter)
2021-05-10 21:25

Well, its not the constructor but a member method.
(0100866)
git (administrator)
2021-05-11 10:20

Branch CR32353 has been created by kgv.

SHA-1: 57ded8d80f96da439bc2308325e1dc61599b2e04


Detailed log of new commits:

Author: kgv
Date: Tue May 11 10:20:42 2021 +0300

    0032353: Modeling Data - Missing definition of ProjLib_ProjectOnSurface::Load()
(0100868)
kgv (developer)
2021-05-11 10:47

Patch is ready for review
- OCCT: branch CR32353.

http://jenkins-test-occt.nnov.opencascade.com/view/CR32353-master-KGV/view/OCCT%20compile/ [^]
(0101133)
msv (developer)
2021-05-18 11:32

For integration:
occt - CR32353
products - none
(0101251)
bugmaster (administrator)
2021-05-22 12:23

Combination -
OCCT branch : IR-2021-05-21
master SHA - 2aa0a6991da6f767c2a6a4c1d6d720fee35867ce
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-05-21 SHA - e89cefb48fe77db69215a5124b453f69d9db404b
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17862.650000000373 / 17879.470000000332 [-0.09%]
Products
Total CPU difference: 11535.410000000107 / 11557.880000000083 [-0.19%]
Windows-64-VC14:
OCCT
Total CPU difference: 19361.25 / 19400.171875 [-0.20%]
Products
Total CPU difference: 12920.28125 / 12880.234375 [+0.31%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0101275)
git (administrator)
2021-05-22 13:54

Branch CR32353 has been deleted by mnt.

SHA-1: 57ded8d80f96da439bc2308325e1dc61599b2e04

- Related Changesets
occt: master 4d67a369
Timestamp: 2021-05-11 07:20:42
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032353: Modeling Data - Missing definition of ProjLib_ProjectOnSurface::Load()
mod - src/ProjLib/ProjLib_ProjectOnSurface.cxx Diff ] File ]
mod - src/ProjLib/ProjLib_ProjectOnSurface.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-05-10 21:24 jensgw New Issue
2021-05-10 21:24 jensgw Assigned To => msv
2021-05-10 21:25 jensgw Note Added: 0100862
2021-05-11 10:19 kgv Target Version => 7.6.0*
2021-05-11 10:19 kgv Summary Missing definition of constructor in ProjLib_ProjectOnSurface => Modeling Data - Missing definition of ProjLib_ProjectOnSurface::Load()
2021-05-11 10:20 git Note Added: 0100866
2021-05-11 10:47 kgv Note Added: 0100868
2021-05-11 10:47 kgv Status new => resolved
2021-05-18 11:32 msv Note Added: 0101133
2021-05-18 11:32 msv Assigned To msv => bugmaster
2021-05-18 11:32 msv Status resolved => reviewed
2021-05-22 12:23 bugmaster Note Added: 0101251
2021-05-22 12:23 bugmaster Status reviewed => tested
2021-05-22 12:29 bugmaster Test case number => Not required
2021-05-22 12:38 bugmaster Changeset attached => occt master 4d67a369
2021-05-22 12:38 bugmaster Status tested => verified
2021-05-22 12:38 bugmaster Resolution open => fixed
2021-05-22 13:54 git Note Added: 0101275


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker